ErrNo (JNA API)

com.sun.jna.platform.linux

## Interface ErrNo

-     public interface ErrNo

  System error codes set in `errno` and retrieved by `Native.getLastError()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `E2BIG`
    `static int` | `EACCES`
    `static int` | `EADDRINUSE`
    `static int` | `EADDRNOTAVAIL`
    `static int` | `EADV`
    `static int` | `EAFNOSUPPORT`
    `static int` | `EAGAIN`
    `static int` | `EALREADY`
    `static int` | `EBADE`
    `static int` | `EBADF`
    `static int` | `EBADFD`
    `static int` | `EBADMSG`
    `static int` | `EBADR`
    `static int` | `EBADRQC`
    `static int` | `EBADSLT`
    `static int` | `EBFONT`
    `static int` | `EBUSY`
    `static int` | `ECANCELED`
    `static int` | `ECHILD`
    `static int` | `ECHRNG`
    `static int` | `ECOMM`
    `static int` | `ECONNABORTED`
    `static int` | `ECONNREFUSED`
    `static int` | `ECONNRESET`
    `static int` | `EDEADLK`
    `static int` | `EDESTADDRREQ`
    `static int` | `EDOM`
    `static int` | `EDOTDOT`
    `static int` | `EDQUOT`
    `static int` | `EEXIST`
    `static int` | `EFAULT`
    `static int` | `EFBIG`
    `static int` | `EHOSTDOWN`
    `static int` | `EHOSTUNREACH`
    `static int` | `EIDRM`
    `static int` | `EILSEQ`
    `static int` | `EINPROGRESS`
    `static int` | `EINTR`
    `static int` | `EINVAL`
    `static int` | `EIO`
    `static int` | `EISCONN`
    `static int` | `EISDIR`
    `static int` | `EISNAM`
    `static int` | `EKEYEXPIRED`
    `static int` | `EKEYREJECTED`
    `static int` | `EKEYREVOKED`
    `static int` | `EL2HLT`
    `static int` | `EL2NSYNC`
    `static int` | `EL3HLT`
    `static int` | `EL3RST`
    `static int` | `ELIBACC`
    `static int` | `ELIBBAD`
    `static int` | `ELIBEXEC`
    `static int` | `ELIBMAX`
    `static int` | `ELIBSCN`
    `static int` | `ELNRNG`
    `static int` | `ELOOP`
    `static int` | `EMEDIUMTYPE`
    `static int` | `EMFILE`
    `static int` | `EMLINK`
    `static int` | `EMSGSIZE`
    `static int` | `EMULTIHOP`
    `static int` | `ENAMETOOLONG`
    `static int` | `ENAVAIL`
    `static int` | `ENETDOWN`
    `static int` | `ENETRESET`
    `static int` | `ENETUNREACH`
    `static int` | `ENFILE`
    `static int` | `ENOANO`
    `static int` | `ENOBUFS`
    `static int` | `ENOCSI`
    `static int` | `ENODATA`
    `static int` | `ENODEV`
    `static int` | `ENOENT`
    `static int` | `ENOEXEC`
    `static int` | `ENOKEY`
    `static int` | `ENOLCK`
    `static int` | `ENOLINK`
    `static int` | `ENOMEDIUM`
    `static int` | `ENOMEM`
    `static int` | `ENOMSG`
    `static int` | `ENONET`
    `static int` | `ENOPKG`
    `static int` | `ENOPROTOOPT`
    `static int` | `ENOSPC`
    `static int` | `ENOSR`
    `static int` | `ENOSTR`
    `static int` | `ENOSYS`
    `static int` | `ENOTBLK`
    `static int` | `ENOTCONN`
    `static int` | `ENOTDIR`
    `static int` | `ENOTEMPTY`
    `static int` | `ENOTNAM`
    `static int` | `ENOTRECOVERABLE`
    `static int` | `ENOTSOCK`
    `static int` | `ENOTTY`
    `static int` | `ENOTUNIQ`
    `static int` | `ENXIO`
    `static int` | `EOPNOTSUPP`
    `static int` | `EOVERFLOW`
    `static int` | `EOWNERDEAD`
    `static int` | `EPERM`
    `static int` | `EPFNOSUPPORT`
    `static int` | `EPIPE`
    `static int` | `EPROTO`
    `static int` | `EPROTONOSUPPORT`
    `static int` | `EPROTOTYPE`
    `static int` | `ERANGE`
    `static int` | `EREMCHG`
    `static int` | `EREMOTE`
    `static int` | `EREMOTEIO`
    `static int` | `ERESTART`
    `static int` | `EROFS`
    `static int` | `ESHUTDOWN`
    `static int` | `ESOCKTNOSUPPORT`
    `static int` | `ESPIPE`
    `static int` | `ESRCH`
    `static int` | `ESRMNT`
    `static int` | `ESTALE`
    `static int` | `ESTRPIPE`
    `static int` | `ETIME`
    `static int` | `ETIMEDOUT`
    `static int` | `ETOOMANYREFS`
    `static int` | `ETXTBSY`
    `static int` | `EUCLEAN`
    `static int` | `EUNATCH`
    `static int` | `EUSERS`
    `static int` | `EXDEV`
    `static int` | `EXFULL`

- - ### Field Detail

    - #### EPERM

          static final int EPERM

      See Also:
        Constant Field Values

    - #### ENOENT

          static final int ENOENT

      See Also:
        Constant Field Values

    - #### ESRCH

          static final int ESRCH

      See Also:
        Constant Field Values

    - #### EINTR

          static final int EINTR

      See Also:
        Constant Field Values

    - #### EIO

          static final int EIO

      See Also:
        Constant Field Values

    - #### ENXIO

          static final int ENXIO

      See Also:
        Constant Field Values

    - #### E2BIG

          static final int E2BIG

      See Also:
        Constant Field Values

    - #### ENOEXEC

          static final int ENOEXEC

      See Also:
        Constant Field Values

    - #### EBADF

          static final int EBADF

      See Also:
        Constant Field Values

    - #### ECHILD

          static final int ECHILD

      See Also:
        Constant Field Values

    - #### EAGAIN

          static final int EAGAIN

      See Also:
        Constant Field Values

    - #### ENOMEM

          static final int ENOMEM

      See Also:
        Constant Field Values

    - #### EACCES

          static final int EACCES

      See Also:
        Constant Field Values

    - #### EFAULT

          static final int EFAULT

      See Also:
        Constant Field Values

    - #### ENOTBLK

          static final int ENOTBLK

      See Also:
        Constant Field Values

    - #### EBUSY

          static final int EBUSY

      See Also:
        Constant Field Values

    - #### EEXIST

          static final int EEXIST

      See Also:
        Constant Field Values

    - #### EXDEV

          static final int EXDEV

      See Also:
        Constant Field Values

    - #### ENODEV

          static final int ENODEV

      See Also:
        Constant Field Values

    - #### ENOTDIR

          static final int ENOTDIR

      See Also:
        Constant Field Values

    - #### EISDIR

          static final int EISDIR

      See Also:
        Constant Field Values

    - #### EINVAL

          static final int EINVAL

      See Also:
        Constant Field Values

    - #### ENFILE

          static final int ENFILE

      See Also:
        Constant Field Values

    - #### EMFILE

          static final int EMFILE

      See Also:
        Constant Field Values

    - #### ENOTTY

          static final int ENOTTY

      See Also:
        Constant Field Values

    - #### ETXTBSY

          static final int ETXTBSY

      See Also:
        Constant Field Values

    - #### EFBIG

          static final int EFBIG

      See Also:
        Constant Field Values

    - #### ENOSPC

          static final int ENOSPC

      See Also:
        Constant Field Values

    - #### ESPIPE

          static final int ESPIPE

      See Also:
        Constant Field Values

    - #### EROFS

          static final int EROFS

      See Also:
        Constant Field Values

    - #### EMLINK

          static final int EMLINK

      See Also:
        Constant Field Values

    - #### EPIPE

          static final int EPIPE

      See Also:
        Constant Field Values

    - #### EDOM

          static final int EDOM

      See Also:
        Constant Field Values

    - #### ERANGE

          static final int ERANGE

      See Also:
        Constant Field Values

    - #### EDEADLK

          static final int EDEADLK

      See Also:
        Constant Field Values

    - #### ENAMETOOLONG

          static final int ENAMETOOLONG

      See Also:
        Constant Field Values

    - #### ENOLCK

          static final int ENOLCK

      See Also:
        Constant Field Values

    - #### ENOSYS

          static final int ENOSYS

      See Also:
        Constant Field Values

    - #### ENOTEMPTY

          static final int ENOTEMPTY

      See Also:
        Constant Field Values

    - #### ELOOP

          static final int ELOOP

      See Also:
        Constant Field Values

    - #### ENOMSG

          static final int ENOMSG

      See Also:
        Constant Field Values

    - #### EIDRM

          static final int EIDRM

      See Also:
        Constant Field Values

    - #### ECHRNG

          static final int ECHRNG

      See Also:
        Constant Field Values

    - #### EL2NSYNC

          static final int EL2NSYNC

      See Also:
        Constant Field Values

    - #### EL3HLT

          static final int EL3HLT

      See Also:
        Constant Field Values

    - #### EL3RST

          static final int EL3RST

      See Also:
        Constant Field Values

    - #### ELNRNG

          static final int ELNRNG

      See Also:
        Constant Field Values

    - #### EUNATCH

          static final int EUNATCH

      See Also:
        Constant Field Values

    - #### ENOCSI

          static final int ENOCSI

      See Also:
        Constant Field Values

    - #### EL2HLT

          static final int EL2HLT

      See Also:
        Constant Field Values

    - #### EBADE

          static final int EBADE

      See Also:
        Constant Field Values

    - #### EBADR

          static final int EBADR

      See Also:
        Constant Field Values

    - #### EXFULL

          static final int EXFULL

      See Also:
        Constant Field Values

    - #### ENOANO

          static final int ENOANO

      See Also:
        Constant Field Values

    - #### EBADRQC

          static final int EBADRQC

      See Also:
        Constant Field Values

    - #### EBADSLT

          static final int EBADSLT

      See Also:
        Constant Field Values

    - #### EBFONT

          static final int EBFONT

      See Also:
        Constant Field Values

    - #### ENOSTR

          static final int ENOSTR

      See Also:
        Constant Field Values

    - #### ENODATA

          static final int ENODATA

      See Also:
        Constant Field Values

    - #### ETIME

          static final int ETIME

      See Also:
        Constant Field Values

    - #### ENOSR

          static final int ENOSR

      See Also:
        Constant Field Values

    - #### ENONET

          static final int ENONET

      See Also:
        Constant Field Values

    - #### ENOPKG

          static final int ENOPKG

      See Also:
        Constant Field Values

    - #### EREMOTE

          static final int EREMOTE

      See Also:
        Constant Field Values

    - #### ENOLINK

          static final int ENOLINK

      See Also:
        Constant Field Values

    - #### EADV

          static final int EADV

      See Also:
        Constant Field Values

    - #### ESRMNT

          static final int ESRMNT

      See Also:
        Constant Field Values

    - #### ECOMM

          static final int ECOMM

      See Also:
        Constant Field Values

    - #### EPROTO

          static final int EPROTO

      See Also:
        Constant Field Values

    - #### EMULTIHOP

          static final int EMULTIHOP

      See Also:
        Constant Field Values

    - #### EDOTDOT

          static final int EDOTDOT

      See Also:
        Constant Field Values

    - #### EBADMSG

          static final int EBADMSG

      See Also:
        Constant Field Values

    - #### EOVERFLOW

          static final int EOVERFLOW

      See Also:
        Constant Field Values

    - #### ENOTUNIQ

          static final int ENOTUNIQ

      See Also:
        Constant Field Values

    - #### EBADFD

          static final int EBADFD

      See Also:
        Constant Field Values

    - #### EREMCHG

          static final int EREMCHG

      See Also:
        Constant Field Values

    - #### ELIBACC

          static final int ELIBACC

      See Also:
        Constant Field Values

    - #### ELIBBAD

          static final int ELIBBAD

      See Also:
        Constant Field Values

    - #### ELIBSCN

          static final int ELIBSCN

      See Also:
        Constant Field Values

    - #### ELIBMAX

          static final int ELIBMAX

      See Also:
        Constant Field Values

    - #### ELIBEXEC

          static final int ELIBEXEC

      See Also:
        Constant Field Values

    - #### EILSEQ

          static final int EILSEQ

      See Also:
        Constant Field Values

    - #### ERESTART

          static final int ERESTART

      See Also:
        Constant Field Values

    - #### ESTRPIPE

          static final int ESTRPIPE

      See Also:
        Constant Field Values

    - #### EUSERS

          static final int EUSERS

      See Also:
        Constant Field Values

    - #### ENOTSOCK

          static final int ENOTSOCK

      See Also:
        Constant Field Values

    - #### EDESTADDRREQ

          static final int EDESTADDRREQ

      See Also:
        Constant Field Values

    - #### EMSGSIZE

          static final int EMSGSIZE

      See Also:
        Constant Field Values

    - #### EPROTOTYPE

          static final int EPROTOTYPE

      See Also:
        Constant Field Values

    - #### ENOPROTOOPT

          static final int ENOPROTOOPT

      See Also:
        Constant Field Values

    - #### EPROTONOSUPPORT

          static final int EPROTONOSUPPORT

      See Also:
        Constant Field Values

    - #### ESOCKTNOSUPPORT

          static final int ESOCKTNOSUPPORT

      See Also:
        Constant Field Values

    - #### EOPNOTSUPP

          static final int EOPNOTSUPP

      See Also:
        Constant Field Values

    - #### EPFNOSUPPORT

          static final int EPFNOSUPPORT

      See Also:
        Constant Field Values

    - #### EAFNOSUPPORT

          static final int EAFNOSUPPORT

      See Also:
        Constant Field Values

    - #### EADDRINUSE

          static final int EADDRINUSE

      See Also:
        Constant Field Values

    - #### EADDRNOTAVAIL

          static final int EADDRNOTAVAIL

      See Also:
        Constant Field Values

    - #### ENETDOWN

          static final int ENETDOWN

      See Also:
        Constant Field Values

    - #### ENETUNREACH

          static final int ENETUNREACH

      See Also:
        Constant Field Values

    - #### ENETRESET

          static final int ENETRESET

      See Also:
        Constant Field Values

    - #### ECONNABORTED

          static final int ECONNABORTED

      See Also:
        Constant Field Values

    - #### ECONNRESET

          static final int ECONNRESET

      See Also:
        Constant Field Values

    - #### ENOBUFS

          static final int ENOBUFS

      See Also:
        Constant Field Values

    - #### EISCONN

          static final int EISCONN

      See Also:
        Constant Field Values

    - #### ENOTCONN

          static final int ENOTCONN

      See Also:
        Constant Field Values

    - #### ESHUTDOWN

          static final int ESHUTDOWN

      See Also:
        Constant Field Values

    - #### ETOOMANYREFS

          static final int ETOOMANYREFS

      See Also:
        Constant Field Values

    - #### ETIMEDOUT

          static final int ETIMEDOUT

      See Also:
        Constant Field Values

    - #### ECONNREFUSED

          static final int ECONNREFUSED

      See Also:
        Constant Field Values

    - #### EHOSTDOWN

          static final int EHOSTDOWN

      See Also:
        Constant Field Values

    - #### EHOSTUNREACH

          static final int EHOSTUNREACH

      See Also:
        Constant Field Values

    - #### EALREADY

          static final int EALREADY

      See Also:
        Constant Field Values

    - #### EINPROGRESS

          static final int EINPROGRESS

      See Also:
        Constant Field Values

    - #### ESTALE

          static final int ESTALE

      See Also:
        Constant Field Values

    - #### EUCLEAN

          static final int EUCLEAN

      See Also:
        Constant Field Values

    - #### ENOTNAM

          static final int ENOTNAM

      See Also:
        Constant Field Values

    - #### ENAVAIL

          static final int ENAVAIL

      See Also:
        Constant Field Values

    - #### EISNAM

          static final int EISNAM

      See Also:
        Constant Field Values

    - #### EREMOTEIO

          static final int EREMOTEIO

      See Also:
        Constant Field Values

    - #### EDQUOT

          static final int EDQUOT

      See Also:
        Constant Field Values

    - #### ENOMEDIUM

          static final int ENOMEDIUM

      See Also:
        Constant Field Values

    - #### EMEDIUMTYPE

          static final int EMEDIUMTYPE

      See Also:
        Constant Field Values

    - #### ECANCELED

          static final int ECANCELED

      See Also:
        Constant Field Values

    - #### ENOKEY

          static final int ENOKEY

      See Also:
        Constant Field Values

    - #### EKEYEXPIRED

          static final int EKEYEXPIRED

      See Also:
        Constant Field Values

    - #### EKEYREVOKED

          static final int EKEYREVOKED

      See Also:
        Constant Field Values

    - #### EKEYREJECTED

          static final int EKEYREJECTED

      See Also:
        Constant Field Values

    - #### EOWNERDEAD

          static final int EOWNERDEAD

      See Also:
        Constant Field Values

    - #### ENOTRECOVERABLE

          static final int ENOTRECOVERABLE

      See Also:
        Constant Field Values

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.